Bug 803358 - (CVE-2012-1174) CVE-2012-1174 systemd (systemd-logind): TOCTOU race condition by removing user session
CVE-2012-1174 systemd (systemd-logind): TOCTOU race condition by removing use...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120316,repor...
: Security
Depends On: 804118
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 10:27 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch from Michal Schmidt, original issue reporter (1.01 KB, patch)
2012-03-14 10:33 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2012-03-14 10:27:45 EDT
A TOCTOU race condition was found in the way the systemd-logind login manager of the systemd, a system and service manager for Linux, performed removal of particular records related with user session upon user logout. A local attacker could use this flaw to conduct symbolic link attacks, potentially leading to removal of arbitrary system file.
Comment 2 Jan Lieskovsky 2012-03-14 10:33:11 EDT
Created attachment 570001 [details]
Proposed patch from Michal Schmidt, original issue reporter
Comment 3 Jan Lieskovsky 2012-03-14 10:33:54 EDT
This issue affects the versions of the systemd package, as shipped with Fedora release of 15 and 16.
Comment 4 Jan Lieskovsky 2012-03-14 10:34:24 EDT
The preliminary embargo date for this issue has been set up to this Friday, 2012-03-16.
Comment 5 Jan Lieskovsky 2012-03-14 10:37:52 EDT
The CVE identifier of CVE-2012-1174 has been assigned to this issue.
Comment 7 Michal Schmidt 2012-03-14 11:08:46 EDT
(In reply to comment #3)
> This issue affects the versions of the systemd package, as shipped with Fedora
> release of 15 and 16.

Just a note: The above sentence is correct, even though F15 does not contain the systemd-logind daemon. In F15 the vulnerable code is called from the PAM module instead. I haven't tried exploiting it on F15, but I see nothing that would make it impossible.
Comment 10 Jan Lieskovsky 2012-03-16 11:11:33 EDT
Created systemd tracking bugs for this issue

Affects: fedora-all [bug 804118]
Comment 12 Fedora Update System 2012-03-25 23:54:45 EDT
systemd-26-18.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-03-25 23:58:25 EDT
systemd-37-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2012-03-26 13:55:09 EDT
systemd-26-18.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-03-26 14:00:15 EDT
systemd-37-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-04-25 01:02:58 EDT
systemd-44-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.